Version: 1.6.6
Summary: Universal Plug and Play (UPnP) SDK
Name: libupnp
Release: 1.3
License: BSD
Group: System Environment/Libraries
URL: http://www.libupnp.org/
Source: http://puzzle.dl.sourceforge.net/sourceforge/pupnp/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define docdeveldir %{_docdir}/%{name}-devel-%{version}
%define docdir %{_docdir}/%{name}-%{version}

%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package devel
Group: Development/Libraries
Summary: Include files needed for development with libupnp
Requires: libupnp = %{version}-%{release}

%description devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.

%prep
%setup -q

%build
%configure --with-documentation --enable-static=no
make %{?_smp_mflags}

%install
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#create the doc devel dir
%{__mkdir_p} %{buildroot}%{docdeveldir}

#mv examples dir and pdf file to the doc devel dir
%{__mv} %{buildroot}%{docdir}/examples \
	%{buildroot}%{docdeveldir}/
%{__mv} %{buildroot}%{docdir}/UPnP_Programming_Guide.pdf \
	%{buildroot}%{docdeveldir}/
%{__mv} %{buildroot}%{docdir}/IXML_Programming_Guide.pdf \
	%{buildroot}%{docdeveldir}/
%{__mv} %{buildroot}%{docdir}/html \
	%{buildroot}%{docdeveldir}/

%{__rm} %{buildroot}%{_libdir}/{libixml.la,libthreadutil.la,libupnp.la}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc %{docdir}
%{_libdir}/libixml.so.*
%{_libdir}/libthreadutil.so.*
%{_libdir}/libupnp.so.*

%files devel
%defattr(0644,root,root,0755)
%doc %{docdeveldir}
%{_includedir}/upnp/
%{_libdir}/libixml.so
%{_libdir}/libthreadutil.so
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc

%clean
rm -rf %{buildroot}

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
